## org.freedesktop.NetworkManager.Device.Vlan org.freedesktop.NetworkManager.Device.Vlan — Virtual LAN Device. |

## Properties

    HwAddress  readable   s
    Carrier    readable   b
    Parent     readable   o
    VlanId     readable   u

## Description

## Property Details

### The "HwAddress" property

    HwAddress  readable   s

### The "Carrier" property

    Carrier  readable   b

Indicates whether the physical carrier is found (e.g. whether a cable is plugged in or not).

DEPRECATED: check for the "carrier" flag in the "InterfaceFlags" property on the "org.freedesktop.NetworkManager.Device" interface.

### The "Parent" property

    Parent  readable   o

Object path of the parent device of this VLAN device.

### The "VlanId" property

    VlanId  readable   u

The VLAN ID of this VLAN interface.